DELETE /api/v1/serverless/traffic-filters/{id}

Deletes the traffic filter by ID.

Path parameters

  • id string Required

    The traffic filter ID.

Responses

  • 204

    The traffic filter was successfully deleted.

    Hide headers attribute Show headers attribute
    • ETag string
  • 400 application/json

    Bad request

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 401 application/json

    Unauthorized

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 404 application/json

    Not Found

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 409 application/json

    Conflict

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 500 application/json

    Internal server error

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

DELETE /api/v1/serverless/traffic-filters/{id}
curl \
 --request DELETE 'https://api.elastic-cloud.com/api/v1/serverless/traffic-filters/{id}' \
 --header "Authorization: $API_KEY"